﻿' Процедура инициализации окна формы
Sub WindowOnLoad
    Dim CurrentResolution
    ' Размер окна
    iWidth = 800
    iHeight = 600
    ' Получение текущего разрешения экрана
    CurrentResolution = GetDisplayResolution()
    ' Изменение размера окна и его центрирование
    iLeft = (Split(CurrentResolution,";")(0) - iWidth) / 2
    iTop = (Split(CurrentResolution,";")(1) - iHeight) / 2
    Self.Focus()
    Self.resizeTo iWidth, iHeight
    Self.moveTo iLeft, iTop
    ' Вывод версии приложения на форму
    Version_Div.InnerHTML = "Версия: " & oHTA.Version
End Sub

Sub RunApplication(sApplication)
    sCommandLine =""
    Set oShell = CreateObject("Wscript.Shell")
    Select Case sApplication
        Case "CommandPrompt"
            sCommandLine = "%ComSpec%"
        Case "TestScript"
            If CheckFile(oShell.CurrentDirectory & "\MyHTA_files\Test.vbs") = True Then
                sCommandLine = "WScript """ & oShell.CurrentDirectory & "\MyHTA_files\Test.vbs"""
            Else
                MsgBox("Файл не найден")
            End If
        Case "TextFile"
            If CheckFile(oShell.CurrentDirectory & "\MyHTA_files\Test.txt") = True Then
                sCommandLine = "Notepad """ & oShell.CurrentDirectory & "\MyHTA_files\Test.txt"""
            Else
                MsgBox("Файл не найден")
            End If
        Case "TempDir"
            sCommandLine = "Explorer " & oShell.ExpandEnvironmentStrings("%Temp%")
        Case Else
            sCommandLine =""
    End Select
    If Len(sCommandLine) > 0 Then oShell.Run sCommandLine,1,0
End Sub

Function ReadFile(sFileName)
    Set oFSO = CreateObject("Scripting.FileSystemObject")
    Set oInFile = oFSO.OpenTextFile(sFileName, 1, False, 0)
    sFileContent = oInFile.ReadAll
    oInFile.Close
    ReadFile = sFileContent
End Function

Function CheckFile(sFilePath)
    Set oFSO = CreateObject("Scripting.FileSystemObject")
    If oFSO.FileExists(sFilePath) Then
        CheckFile = True
    Else
        CheckFile = false
    End if
End Function

Function GetDisplayResolution()
    Set oWMIService = GetObject("winmgmts:\\.\root\cimv2")
    Set colItems = oWMIService.ExecQuery("Select * From Win32_DesktopMonitor")
    For Each oItem In colItems
        iHorizontal = oItem.ScreenWidth
        iVertical = oItem.ScreenHeight
    Exit For
    Next
    GetDisplayResolution = iHorizontal & ";" & iVertical
End Function

Function PingComputer(sComputer)
    Set oPing = GetObject("winmgmts:{impersonationLevel=impersonate}").ExecQuery("select * from Win32_PingStatus where address = '" & sComputer & "'")
    For Each oStatus In oPing
        If IsNull(oStatus.StatusCode) Or oStatus.StatusCode <> 0 Then 
            PingComputer = False
        Else
            PingComputer = True
        End If
    Next
End Function